//
// Musterloesung Info1, Uebungsserie 4, Aufgabe 3
//
// Author: Bruno Heidelberger, heidelberger@inf.ethz.ch
//

// Benoetigte Include Dateien
#include <cmath>
#include <iostream>
using namespace std;

// Definiere PI als globale Konstante
const float PI = 3.1415927;

// Definiere die Structs fuer unsere geometrischen Objekte
struct Kreis
{
	float radius;
	float flaeche;
};

struct Rechteck
{
	float laenge, breite;
	float flaeche;
};

struct Quadrat
{
	float laenge;
	float flaeche;
};

// Die Funktion main()
int main()
{
	// Eingabe des Kreisradius und Berechnung der Kreisflaeche
	Kreis kreis;
	cout << "Geben Sie den Radius des Kreises ein: ";
	cin >> kreis.radius;
	kreis.flaeche = PI * kreis.radius * kreis.radius;

	// Eingabe der Rechteckseiten und Berechnung der Rechteckflaeche
	Rechteck rechteck;
	cout << "Geben Sie die Laenge des Rechtecks ein: ";
	cin >> rechteck.laenge;
	cout << "Geben Sie die Breite des Rechtecks ein: ";
	cin >> rechteck.breite;
	rechteck.flaeche = rechteck.laenge * rechteck.breite;

	// Berechnung der Quadratflaeche und -seite
	Quadrat quadrat;
	quadrat.flaeche = kreis.flaeche + rechteck.flaeche;
	quadrat.laenge = sqrt(quadrat.flaeche);

	// Ausgabe aller geometrischen Objekte und deren Elemente
	cout << "Kreis: Radius=" << kreis.radius << ", Flaeche=" << kreis.flaeche << endl;
	cout << "Rechteck: Laenge=" << rechteck.laenge << ", Breite=" << rechteck.breite << ", Flaeche=" << rechteck.flaeche << endl;
	cout << "Quadrat: Laenge=" << quadrat.laenge << ", Flaeche=" << quadrat.flaeche << endl;

	// wie immer am Ende von main()
	return 0;
}

